QGIS Application - Feature request #21300
It is not possible to export all frames from QGIS 3d animations as images
2019-02-18 12:08 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: 3D

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 29118
Description

It is a feature request really, but as it will be good to have it in QGIS 3.4 and also the changes are trivial, | file it as a bug :)

Currently, you can view the animations from the 3d but not possible to export it as an avi. In long run, it will be good to have ffmpeg as a
part of QGIS package. But meanwhile, we should allow users to export the frames as pngs so that they can create the avi outside QGIS.

History

#1 - 2019-02-21 02:46 PM - Peter Petrik
- Assignee set to Peter Petrik

#2 - 2019-02-21 03:22 PM - Peter Petrik
- Assignee changed from Peter Petrik to Martin Dobias

#3 - 2019-02-21 03:27 PM - Peter Petrik
- Assignee changed from Martin Dobias to Peter Petrik

#4 - 2019-02-22 03:28 PM - Peter Petrik

- Tracker changed from Bug report to Feature request
#5 - 2019-02-22 03:43 PM - Peter Petrik

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/9244

#6 - 2019-02-27 08:59 AM - Peter Petrik
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed

implemented in qgis 3.7 master. Not possible to port to 3.4
